<div class="container" *ngIf="tcStatus">
  <h3>ID</h3>
  <h4>{{ tcStatus.id }}</h4>
  <mat-divider></mat-divider>
  <h3>Command</h3>
  <h4>{{ tcStatus.commandName }}</h4>
  <mat-divider></mat-divider>
  <h3>Time</h3>
  <h4>{{ tcStatus.generationTime }}</h4>
  <mat-divider></mat-divider>
  <h3>Acknowledgments</h3>
  <ng-container
    *ngFor="let status of tcStatusArray"
    [ngSwitch]="status.value.stringValue"
    class="status">
    <h4>
      {{ status.name }}
      <mat-icon
        *ngSwitchCase="'SCHEDULED'"
        [matTooltip]="status.name! + ': Scheduled'"
        class="icon16 down">
        schedule
      </mat-icon>
      <mat-icon
        *ngSwitchCase="'OK'"
        [matTooltip]="status.name! + ':OK'"
        style="color: #00c752">
        check_circle_outline
      </mat-icon>
      <mat-icon
        *ngSwitchCase="'PENDING'"
        [matTooltip]="status.name! + ': PENDING'"
        class="icon16 down">
        lens
      </mat-icon>
      <mat-icon
        *ngSwitchCase="'CANCELLED'"
        [matTooltip]="status.name! + ': CANCELLED'"
        class="icon16"
        style="color: lightgrey">
        block
      </mat-icon>
      <mat-icon
        *ngSwitchCase="'DISABLED'"
        [matTooltip]="status.name! + ': DISABLED'"
        class="icon16"
        style="color: lightgrey">
        block
      </mat-icon>
      <mat-icon
        *ngSwitchCase="'TIMEOUT'"
        [matTooltip]="status.name! + ': TIMEOUT'"
        class="icon16"
        style="color: red">
        highlight_off
      </mat-icon>
      <mat-icon
        *ngSwitchDefault
        [matTooltip]="
          status.name! +
          ': ' +
          status.value.stringValue! +
          ' (' +
          status.value.stringValue! +
          ')'
        "
        class="icon16"
        style="color: red">
        highlight_off
      </mat-icon>
    </h4>
  </ng-container>
  <ng-container
    *ngFor="let status of tcVerifierArray"
    [ngSwitch]="status.value.stringValue"
    class="status">
    <h4>
      {{ status.name }}
      <mat-icon
        *ngSwitchCase="'SCHEDULED'"
        [matTooltip]="status.name! + ': Scheduled'"
        class="icon16 down">
        schedule
      </mat-icon>
      <mat-icon
        *ngSwitchCase="'OK'"
        [matTooltip]="status.name! + ':OK'"
        style="color: #00c752">
        check_circle_outline
      </mat-icon>
      <mat-icon
        *ngSwitchCase="'PENDING'"
        [matTooltip]="status.name! + ': PENDING'"
        class="icon16 down">
        lens
      </mat-icon>
      <mat-icon
        *ngSwitchCase="'CANCELLED'"
        [matTooltip]="status.name! + ': CANCELLED'"
        class="icon16"
        style="color: lightgrey">
        block
      </mat-icon>
      <mat-icon
        *ngSwitchCase="'DISABLED'"
        [matTooltip]="status.name! + ': DISABLED'"
        class="icon16"
        style="color: lightgrey">
        block
      </mat-icon>
      <mat-icon
        *ngSwitchCase="'TIMEOUT'"
        [matTooltip]="status.name! + ': TIMEOUT'"
        class="icon16"
        style="color: red">
        highlight_off
      </mat-icon>
      <mat-icon
        *ngSwitchDefault
        [matTooltip]="
          status.name! +
          ': ' +
          status.value.stringValue! +
          ' (' +
          status.value.stringValue! +
          ')'
        "
        class="icon16"
        style="color: red">
        highlight_off
      </mat-icon>
    </h4>
  </ng-container>
  <mat-divider></mat-divider>
  <h3>Assignments</h3>
  <span class="assignments" *ngFor="let assignment of tcStatus.assignments">
    <h4>{{ assignment.name }}: {{ getValue(assignment) }}</h4>
  </span>
  <mat-divider></mat-divider>
  <div class="heading">
    <button
      mat-button
      color="accent"
      type="button"
      (click)="refreshComponent()">
      <mat-icon>undo</mat-icon> Send Another Telecommand
    </button>
  </div>
</div>
